# Uses of Class
com.databend.jdbc.RawStatementWrapper

Packages that use RawStatementWrapper
Package
Description
com.databend.jdbc

## Uses of RawStatementWrapper in com.databend.jdbc

Methods in com.databend.jdbc that return RawStatementWrapper
Modifier and Type
Method
Description
`RawStatementWrapper`
StatementUtil.`parseToRawStatementWrapper(String sql)`
Parse sql statement to a `RawStatementWrapper`.
Methods in com.databend.jdbc with parameters of type RawStatementWrapper
Modifier and Type
Method
Description
`List<StatementInfoWrapper>`
StatementUtil.`replaceParameterMarksWithValues(@NonNull Map<Integer,String> params, @NonNull RawStatementWrapper rawStatement)`
Returns a list of `StatementInfoWrapper` containing sql statements constructed with the `RawStatementWrapper` and the parameters provided